/*********  CMS - Catálogo de Productos Style **********/
#cardProyecto {
  .card {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--dark);
    overflow: hidden;
    transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  }

  .card img {
    width: 100%;
    fill: #333;
    transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  }

  .card:hover {
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  }

  .card__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    box-sizing: border-box;
    background-color: transparent;
    opacity: 0;
    transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
  }

  .card:hover .card__content {
    transform: translate(-50%, -50%) rotate(0deg);
    opacity: 1;
  }

  .card:hover img {
    scale: 0.9;
  }
}

.img-onshow {
  width: auto;
  height: auto;
}

.thumbnail {
  width: 100px;
  height: auto;
}

.fade-transition {
  opacity: 1;
  transition: opacity 0.4s ease-in-out;
}

.fade-transition.hide {
  opacity: 0;
}

.iconoRRSS {
  width: 40px;
  height: auto;
}

#filtroProyectos {
  .form-select,
  .form-control {
    background-color: transparent;
    border: 2px solid #ccc;
    border-radius: 0;
    color: #333;
    height: 50px;
    min-width: 200px;
    padding: 5px 15px;
  }

  .form-select:focus,
  .form-control:focus {
    border-color: #aaa;
    box-shadow: none;
  }

  .label-form {
    font-size: 16px;
    color: #333;
    padding-right: 15px;
  }

  .container {
    max-width: 800px;
  }

  .btn-primary {
    background-color: var(--dark);
    border-color: var(--dark);
    padding: 10px 20px;
    border-radius: 0;
  }

  .btn-primary:focus {
    border-color: #0056b3;
    box-shadow: none;
  }

  .form-group {
    margin-bottom: 10px;
  }
}
